!set title=Invertibilidad
!if $wims_read_parm!=$empty
 !goto $wims_read_parm
!endif
oef2wims_version=3.22
author=XIAO Gang
email=xiao@unice.fr

ansorder=c
varcnt=24
prevarcnt=23
postvarcnt=0
replycnt=0
choicecnt=1
conditioncnt=0
feedbackcnt=0
format=html

val1=$imagedir
val2=$confparm1
val3=$confparm2
val4=$confparm3
val5=$confparm4

!if $testcondition=yes
 !goto test
!endif
!if $status=waiting
 !exit
!endif

val6=Verdadero
val7=Falso
val8=$val6,$val7
val9=invertible
val10=invertibles
tmp0=!shuffle A,B

val11=$(tmp0)
tmp0=!item 1 of $val11

val12=$(tmp0)
tmp0=!item 2 of $val11

val13=$(tmp0)
tmp0=!randitem A,B

val14=$(tmp0)
tmp0=!randitem AB,BA

val15=$(tmp0)
tmp0=!randitem A + B,B + A

val16=$(tmp0)
tmp0=!randitem A + B,A - B

val17=$(tmp0)
tmp0=!randint 2, 9

val18=$[rint($(tmp0))]
tmp0=!randitem AB = AC,BA = CA

tmp1=!randitem AB = CA,BA = AC

tmp2=!randitem B = A^-1,A = B^-1

tmp3=!randitem -A,2A,-2A,A^2,-A^2,A^-1,-A^-1,A+A,2A-A,A^-1+A^-1

tmp4=!randitem A+I_$val18,A-I_n,I_n-A,A-A,A^-1-A^-1,A+A^-1,A-A^-1,A^-1-A,A+A^2,A-A^2

tmp5=!randint 2, 10

tmp=!trim \(A) es $val9,\(A^-1) es $val9,$val6	\(A) es $val9 y \($(tmp0)),\(B = C),$val6	\(A) es $val9 y \($(tmp1)),\(B = C),$val7	\($val15 = I_$val18),\($(tmp2)),$val6	\($val12 = $val13^-1),\($val13 = $val12^-1),$val6	\($val12 = $val13^-1),\($val15 = I_$val18),$val6	\(A) y \(B) son $val10,\($val15) es $val9,$val6	\($val12) es $val9, \($val15) es $val9, $val7	\($val15) es $val9,\($val12) es $val9,$val6	\($val16) es $val9,\($val12) es $val9,$val7	\($val12) y \($val17) son $val10,\($val13) es $val9,$val7	\(A) y \(B) son $val10,\($val17) es $val9,$val7	\(A) y \(B) son $val10,\(AB = BA),$val7	\(A) es $val9,\($(tmp3)) es $val9 too,$val6	\(A) es $val9,\($(tmp4)) es $val9 too,$val7	\($val12) es $val9 y \(AB = BA),\($val13) es $val9,$val7	\(A) y \(B) son $val10,\(($val12$val13)^-1 = $val12^-1*$val13^-1),$val7	\(A) y \(B) son $val10,\(($val12$val13)^-1 = $val13^-1*$val12^-1),$val6	\(A^$(tmp5) = I_$val18),\(A) es $val9,$val6	\(A + B) y \(A - B) son $val10,\(A) y \(B) son $val10,$val7	\(A), \(B) y \($val12 + $val13) son $val10, \($val12 - $val13) es $val9, $val7		
val19=!translate internal $	\
$ to ;; in $tmp
tmp=!translate internal $	$ to ; in $val19

tmp=!nonempty rows $tmp
tmp=!randrow $tmp
tmp0=!translate internal $\
$ to ; in $tmp
val19=$(tmp0)
tmp0=!item 1 of $val19

val20=$(tmp0)
tmp0=!item 2 of $val19

val21=$(tmp0)
tmp0=!item 3 of $val19

val22=$(tmp0)
val23=$val20,$val21
val24=$val18×$val18
!if C isin $val23 
val25=Sean \(A), \(B), \(C) tres matrices $val24 
!else
!if B isin $val23 
val25=Sean \(A), \(B) dos matrices $val24 
!else
val25=Sea \(A) una matriz $val24 
!endif
!endif
choicename1=La respuesta
choicegood1=$val22
choicebad1=$val8
question=__EXECUTED_1692754_EXERCISE__

!goto stat

!exit

:question
$()$val25. ¿Es cierta la siguiente afirmación?	<p><center>	 Si $val20, entonces $val21.	</center><p>	 
!if I_$val18 isin $val20 $val21 
$()	 (
!insmath I_$val18
$() es la matriz identidad de orden $val18×$val18 .)	 
!endif
$()	
$()
!exit

:hint
$()
$()
!exit

:help
$()
$()
!exit

:solution
$()
$()
!exit

:feedback

!exit

:test

!exit

:stat
vsavelist=18,20,21,25
embedcnt=0
